using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace WinFormTestForWebService
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            DisplayImage();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            DisplayImage();

        }

        private void DisplayImage()
        {
            com.barcodelabelpro.www.Symbologies symbology;
            this.Cursor = Cursors.WaitCursor;
            switch (cboSymbology.SelectedIndex)
            {
                case 0: symbology = com.barcodelabelpro.www.Symbologies.Codabar; break;
                case 1: symbology = com.barcodelabelpro.www.Symbologies.Code11; break;
                case 2: symbology = com.barcodelabelpro.www.Symbologies.Code128; break;
                case 3: symbology = com.barcodelabelpro.www.Symbologies.Code39; break;
                case 4: symbology = com.barcodelabelpro.www.Symbologies.Code39Ext; break;
                case 5: symbology = com.barcodelabelpro.www.Symbologies.Code93; break;
                case 6: symbology = com.barcodelabelpro.www.Symbologies.Code93Ext; break;
                case 7: symbology = com.barcodelabelpro.www.Symbologies.Ean13; break;
                case 8: symbology = com.barcodelabelpro.www.Symbologies.Ean8; break;
                case 9: symbology = com.barcodelabelpro.www.Symbologies.Industrial2of5; break;
                case 10: symbology = com.barcodelabelpro.www.Symbologies.Interleaved2of5; break;
                case 11: symbology = com.barcodelabelpro.www.Symbologies.UccEan128; break;
                case 12: symbology = com.barcodelabelpro.www.Symbologies.MSI; break;
                case 13: symbology = com.barcodelabelpro.www.Symbologies.Postnet; break;
                case 14: symbology = com.barcodelabelpro.www.Symbologies.Planet; break;
                case 15: symbology = com.barcodelabelpro.www.Symbologies.Telepen; break;
                case 16: symbology = com.barcodelabelpro.www.Symbologies.UpcA; break;
                case 17: symbology = com.barcodelabelpro.www.Symbologies.UpcE; break;
                case 18: symbology = com.barcodelabelpro.www.Symbologies.IntelligentMail; break;
                case 19: symbology = com.barcodelabelpro.www.Symbologies.Sscc18; break;
                case 20: symbology = com.barcodelabelpro.www.Symbologies.Scc14; break;
                case 21: symbology = com.barcodelabelpro.www.Symbologies.Itf14; break;
                case 22: symbology = com.barcodelabelpro.www.Symbologies.PDF417; break;
                case 23: symbology = com.barcodelabelpro.www.Symbologies.DataMatrix; break;
                case 24: symbology = com.barcodelabelpro.www.Symbologies.QRCode; break;

                default: symbology = com.barcodelabelpro.www.Symbologies.Code128; break;
            }

            com.barcodelabelpro.www.BarcodeImageService barcodeImageService = new com.barcodelabelpro.www.BarcodeImageService();


            System.Byte[] imgBarcode = barcodeImageService.BarcodeImage(symbology, this.textBox1.Text);
            MemoryStream memStream = new MemoryStream(imgBarcode);
            Image img = Image.FromStream(memStream);

            this.pictureBox1.Size = img.Size;

            this.pictureBox1.Image = img;
            this.Cursor = Cursors.Default;
        }
    }
}